<?php

/**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2018 PrestaShop SA
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */
class SampleBlocks {

    public function initData($base_url) {
        $content_block1 = '
            <div id="promotion-section" class="promotion-section">
                            <div class="adv-wrapper">
                                <div class="container">
                                    <div class="row">
                                        <div class="adv-inner-above"><a href="#"> <img class="image-responsive middle-block" src="img/cms/box1.jpg" alt="home-image" /></a></div>
                                        <div class="adv-inner-above"><a href="#"> <img class="image-responsive middle-block" src="img/cms/box2.jpg" alt="home-image" /></a></div>
                                    </div>
                                    <div class="row">
                                        <div class="adv-inner-below"><a href="#"> <img class="image-responsive middle-block" src="img/cms/box3.jpg" alt="home-image" /></a></div>
                                        <div class="adv-inner-below"><a href="#"> <img class="image-responsive middle-block" src="img/cms/box4.jpg" alt="home-image" /></a></div>
                                        <div class="adv-inner-below"><a href="#"> <img class="image-responsive middle-block" src="img/cms/box5.jpg" alt="home-image" /></a></div>
                                    </div>
                                </div>
                            </div>
                        </div>
';
        $content_block2 = '
            <div id="parallax-section" class="parallax-section">
                            <div class="latest-offer-section">
                                <div class="offer-inner">
                                    <h1>Bentriz Pro Responsive Prestashop 1.7 Theme</h1>
                                    <a href="https://www.hiddentechies.com/bentriz-pro-responsive-theme-prestashop.html">Download Now</a></div>
                            </div>
                        </div>
';
        $content_block3 = '
            <div class="home-fullwidth-block">
    <div class="container">
        <h1>Find Your Next eCommerce Theme</h1>
        <ul class="extension-slider">
            <li>
                <h1>Bentriz Pro  Responsive Theme for Prestashop</h1>
                <p>Bentriz Pro is a Auto Parts Prestashop responsive theme that specially designed for auto store, auto spare parts, cars & bikes and tools store.</p>
                <a class="action primary" href="https://www.hiddentechies.com/bentriz-pro-responsive-theme-prestashop.html" target="_blank">Download Now</a>
            </li>
            <li>
                <h1>DeskPlus - Responsive Theme for Prestashop</h1>
                <p>DeskPlus is built with super clean, modern, product oriented design. DeskPlus will be perfect for Furniture, Jewelry, Electronics, Houseware and other Fashion stores.</p>
                <a class="action primary" href="https://www.hiddentechies.com/deskplus-responsive-theme-prestashop.html" target="_blank">Download Now</a>
            </li>
            <li>
                <h1>AutoPartz - Responsive Theme for Prestashop</h1>
                <p>AutoPartz is a Auto Parts Prestashop responsive theme that specially designed for auto store, auto spare parts, cars & bikes and tools store.</p>
                <a class="action primary" href="https://www.hiddentechies.com/autopartz-responsive-theme-prestashop.html" target="_blank">Download Now</a>
            </li>
        </ul>
    </div>
</div>
';
        $content_block4 = '
            <div id="service-section" class="service-section">
                            <div class="home-advantage-block">
                                <div class="container">
                                    <div class="hab-row">
                                        <div class="hab-inner">
                                            <div class="home-advantage-block-inner"><span> <em class="fa fa-usd"></em> </span>
                                                <p><span>30-Day Money Back</span></p>
                                            </div>
                                        </div>
                                        <div class="hab-inner">
                                            <div class="home-advantage-block-inner"><span> <em class="fa fa-headphones"></em> </span>
                                                <p><span>1 year Free Support</span></p>
                                            </div>
                                        </div>
                                        <div class="hab-inner">
                                            <div class="home-advantage-block-inner"><span> <em class="fa fa-undo"></em> </span>
                                                <p><span>Free Lifetime Update</span></p>
                                            </div>
                                        </div>
                                        <div class="hab-inner">
                                            <div class="home-advantage-block-inner"><span> <em class="fa fa-thumbs-up"></em> </span>
                                                <p><span>100% Satisfaction</span></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
';
        $content_block5 = '
            <div id="testimonial-section" class="testimonial-section">
                            <div class="testimonial-block">
                                <div class="container">
                                    <div class="section-title"><strong>Testimonials</strong></div>
                                    <div class="row">
                                        <div class="testimonial-inner owl-carousel owl-theme testimonial-slider">
                                            <div class="testimonial-content">
                                                <div class="testimonial-desc">
                                                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                                                </div>
                                                <div class="testimonial-detail"><img src="img/cms/testimonial-image.jpg" alt="testimonial1" />
                                                    <div class="profile">
                                                        <h4>Joh Doe</h4>
                                                        <p>Web Designer</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="testimonial-content">
                                                <div class="testimonial-desc">
                                                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                                                </div>
                                                <div class="testimonial-detail"><img src="img/cms/testimonial-image.jpg" alt="testimonial1" />
                                                    <div class="profile">
                                                        <h4>Joh Doe</h4>
                                                        <p>Web Designer</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="testimonial-content">
                                                <div class="testimonial-desc">
                                                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                                                </div>
                                                <div class="testimonial-detail"><img src="img/cms/testimonial-image.jpg" alt="testimonial1" />
                                                    <div class="profile">
                                                        <h4>Joh Doe</h4>
                                                        <p>Web Designer</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
';
        $content_block6 = '
             <div id="blog-section" class="blog-section">
                            <div class="blogpost-block">
                                <div class="container">
                                    <div class="blog-section-title"><strong>Latest Posts</strong></div>
                                    <div class="row">
                                        <div class="blog-block blog-slider">
                                            <div class="blog-inner">
                                                <div class="blog-inner-block">
                                                    <div class="blog-image"><img src="img/cms/post1.jpg" alt="blog1" /><span> 25 Jul 2016 </span></div>
                                                    <div class="blog-content">
                                                        <h3>Lorem ipsum is dolor sit amet.</h3>
                                                        <p>Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet.</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="blog-inner">
                                                <div class="blog-inner-block">
                                                    <div class="blog-image"><img src="img/cms/post2.jpg" alt="blog2" /><span> 25 Jul 2016 </span></div>
                                                    <div class="blog-content">
                                                        <h3>Lorem ipsum is dolor sit amet.</h3>
                                                        <p>Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet.</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="blog-inner">
                                                <div class="blog-inner-block">
                                                    <div class="blog-image"><img src="img/cms/post3.jpg" alt="blog1" /><span> 25 Jul 2016 </span></div>
                                                    <div class="blog-content">
                                                        <h3>Lorem ipsum is dolor sit amet.</h3>
                                                        <p>Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet.</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="blog-inner">
                                                <div class="blog-inner-block">
                                                    <div class="blog-image"><img src="img/cms/post1.jpg" alt="blog1" /><span> 25 Jul 2016 </span></div>
                                                    <div class="blog-content">
                                                        <h3>Lorem ipsum is dolor sit amet.</h3>
                                                        <p>Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet. Lorem ipsum is dolor sit amet.</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
';
        $content_block7 = '
            <div id="contactinfo-section" class="contactinfo-section">
                    <div class="footer-links-column">
                        <div class="footer-colum-title footer-block-title">
                            <h3>
                                Quick Contact
                            </h3>
                        </div>
                        <div class="footer-column-content footer-block-toggle-content">
                            <div class="content">
                                <p class="address">
                                    <strong>
                                        <em class="fa fa-home"></em>&nbsp;&nbsp;<span>Address: </span>
                                    </strong> 
                                    <span>265, Lorem, Ipsum, United States</span>
                                </p>
                                <p class="email">
                                    <strong>
                                        <em class="fa fa-send"></em>&nbsp;&nbsp;<span>Mail us: </span>
                                    </strong>
                                    <span>
                                        <a href="mailto:demo@mydomain.com" title="Mail to: demo@mydomain.com">demo@mydomain.com</a>
                                    </span>
                                </p>
                                <p class="phone">
                                    <strong>
                                        <em class="fa fa-phone"></em>&nbsp;&nbsp;<span>Phone: </span>
                                    </strong>
                                    <span>(123)-456-7890</span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
';
        $content_block8 = '
            <div id="promotion-section2" class="promotion-section2">
    <div class="adv-wrapper">
        <div class="container">
            <div class="row">
                <div class="adv-image-main">
                    <div class="adv-image-inner">
                        <div class="adv-image-inner-main">
                            <img class="image-responsive middle-block" src="img/cms/box6.jpg" alt="home-image">
                            <div class="category-links-block">
                                <h2>
                                    Electronics
                                </h2>
                                <ul>
                                    <li>
                                        <a href="#">
                                            Mobiles
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Laptops
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Wearables
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Camera
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="adv-image-inner">
                        <div class="adv-image-inner-main">
                            <img class="image-responsive middle-block" src="img/cms/box7.jpg" alt="home-image">
                            <div class="category-links-block">
                                <h2>
                                    Electronics
                                </h2>
                                <ul>
                                    <li>
                                        <a href="#">
                                            Mobiles
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Laptops
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Wearables
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Camera
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="adv-image-inner">
                        <div class="adv-image-inner-main">
                            <img class="image-responsive middle-block" src="img/cms/box8.jpg" alt="home-image">
                            <div class="category-links-block">
                                <h2>
                                    Electronics
                                </h2>
                                <ul>
                                    <li>
                                        <a href="#">
                                            Mobiles
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Laptops
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Wearables
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            Camera
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
';

        $displayHome = Hook::getIdByName('displayHome');
        $displayFooter = Hook::getIdByName('displayFooter');
        $displayFooter = Hook::getIdByName('displayFooterBefore');
        $displayHomeTop1 = Hook::getIdByName('displayHomeTop1');
        $displayHomeTop2 = Hook::getIdByName('displayHomeTop2');
        $displayHomeTop3 = Hook::getIdByName('displayHomeTop3');
        $displayHomeBottom1 = Hook::getIdByName('displayHomeBottom1');
        $displayHomeBottom2 = Hook::getIdByName('displayHomeBottom2');
        $displayHomeBottom3 = Hook::getIdByName('displayHomeBottom3');
        $id_shop = Configuration::get('PS_SHOP_DEFAULT');

        /* install static Block */
        $result = true;
        $result &= Db::getInstance()->Execute('INSERT INTO `' . _DB_PREFIX_ . 'ht_staticblocks` (`id_ht_staticblocks`, `hook`, `active`) 
			VALUES
			(1, "displayHomeTop1", 1),
                        (2, "displayHomeTop2", 1),
                        (3, "displayHomeBottom1", 1),
                        (4, "displayFooterBefore", 1),
                        (5, "displayHomeBottom2", 1),
                        (6, "displayHomeBottom3", 1),
                        (7, "displayFooter", 1),
                        (8, "displayHomeTop3", 1)
			;');

        $result &= Db::getInstance()->Execute('INSERT INTO `' . _DB_PREFIX_ . 'ht_staticblocks_shop` (`id_ht_staticblocks`, `id_shop`,`active`) 
			VALUES 
			(1,' . $id_shop . ', 1),
			(2,' . $id_shop . ', 1),
			(3,' . $id_shop . ', 1),
			(4,' . $id_shop . ', 1),
			(5,' . $id_shop . ', 1),
			(6,' . $id_shop . ', 1),
			(7,' . $id_shop . ', 1),
			(8,' . $id_shop . ', 1)
			;');

        foreach (Language::getLanguages(false) as $lang) {
            $result &= Db::getInstance()->Execute('INSERT INTO `' . _DB_PREFIX_ . 'ht_staticblocks_lang` (`id_ht_staticblocks`, `id_shop`, `id_lang`, `title`, `content`) 
			VALUES 
			("1", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Promotion", \'' . $content_block1 . '\'),
			("2", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Parallax Block", \'' . $content_block2 . '\'),
			("3", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Full Width Slider Block", \'' . $content_block3 . '\'),
			("4", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Services Block", \'' . $content_block4 . '\'),
			("5", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Testimonials Block", \'' . $content_block5 . '\'),
			("6", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Blogs", \'' . $content_block6 . '\'),
			("7", "' . $id_shop . '","' . $lang['id_lang'] . '","Footer Contact Block", \'' . $content_block7 . '\'),
			("8", "' . $id_shop . '","' . $lang['id_lang'] . '","Home Promotion 2", \'' . $content_block8 . '\')
			
                ;');
        }
        return $result;
    }
}